import Vue from 'vue'
import router from './router/interceptor'
import App from './App.vue'
import store from './store'
import ElementUI from 'element-ui';
import Dcontent from './components/dcontent/dcontent.vue'
// 基础样式库
import './assets/css/base.css'
import 'element-ui/lib/theme-chalk/index.css';
Vue.config.productionTip = false
// 安装element
Vue.use(ElementUI);
// 加载百度地图
import BaiduMap from 'vue-baidu-map'
Vue.use(BaiduMap, {
  ak: 'BPOdSO7lNQ45sOHr4veYGsqEkxYApB0x'    //这个地方是官方提供的ak密钥
})
// 文章内容组件
Vue.component('dcontent', Dcontent)

new Vue({
	router,
	store,
	render: h => h(App)
}).$mount('#app')
